Skip to main content
GET
/
models
List available models
curl --request GET \
  --url https://api.orcarouter.ai/v1/models \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "openai/gpt-4o-mini",
      "created": 123,
      "owned_by": "openai",
      "supported_endpoint_types": [
        "openai"
      ],
      "context_length": 123,
      "max_completion_tokens": 123,
      "architecture": {
        "input_modalities": [
          "text",
          "image"
        ],
        "output_modalities": [
          "text"
        ]
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

OrcaRouter API keys look like sk-orca-.... Pass them in the Authorization: Bearer sk-orca-... header.

Response

200 - application/json

OK

object
enum<string>
Available options:
list
data
object[]